// $Id: CvsCommitDialog.h,v 1.12 2013/10/25 09:39:36 hupereir Exp $
#ifndef _CvsCommitDialog_h_
#define _CvsCommitDialog_h_

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "FileSelectionDialog.h"

class TextEditor;

//! QDialog used to commit selected files
class CvsCommitDialog: public FileSelectionDialog
{

    //! Qt macro
    Q_OBJECT

    public:

    //! constructor
    CvsCommitDialog( QWidget*, const FileInfo& );

    //! constructor
    CvsCommitDialog( QWidget*, const FileInfoModel::List& files );

    //! editor
    TextEditor& editor()
    { return *editor_; }

    private Q_SLOTS:

    //! save comments for re-use
    void _saveComments( void );

    private:

    //! text selection
    TextEditor* editor_;

    //! comments
    static QString savedComments_;

};

#endif
