
// $Id: CvsLockDialog.cpp,v 1.13 2013/11/13 13:52:10 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CvsLockDialog.h"
#include "CvsLockDialog.moc"
#include "BaseIcons.h"
#include "Debug.h"
#include "IconEngine.h"
#include "XmlOptions.h"

#include <QLabel>

//______________________________________________________________________________________________
CvsLockDialog::CvsLockDialog( QWidget* parent, const QString& user, const QString& path ):
    CustomDialog( parent )
{

    Debug::Throw( "CvsLockDialog::CvsLockDialog.\n" );

    // create label
    const QString buffer = QString( "Found CVS lock in '%1' held by user '%2'.\nAbort pending actions ?" ).arg( path ).arg( user );
    QLabel* label = new QLabel( buffer, this );

    QHBoxLayout *hLayout( new QHBoxLayout() );
    mainLayout().addLayout( hLayout, 1 );
    QLabel* pixmapLabel = new QLabel( this );
    pixmapLabel->setPixmap( IconEngine::get( ICONS::WARNING ).pixmap( iconSize() ) );
    hLayout->addWidget( pixmapLabel, 0, Qt::AlignHCenter );
    hLayout->addWidget( pixmapLabel, 1, Qt::AlignHCenter );

    // rename buttons
    okButton().setToolTip(
        tr( "All pending actions will be aborted.\n"
        "User must take actions to remove the existing lock, \n"
        "or wait for the lock to be removed externally." ) );

    cancelButton().setToolTip( tr( "The current action is kept pending untill the lock is removed." ) );

}
