#ifndef LogDialog_h
#define LogDialog_h

// $Id: LogDialog.h,v 1.5 2013/10/25 09:39:36 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "CvsInterface.h"
#include "CustomDialog.h"

#include <QAction>

class LogWidget;

class LogDialog: public CustomDialog
{

    //! Qt meta object declaration
    Q_OBJECT

    public:

    //! constructor
    LogDialog( QWidget* = 0 );

    //! actions
    QAction& verbosityLowAction( void )
    { return *verbosityLowAction_; }

    //! actions
    QAction& verbosityHighAction( void )
    { return *verbosityHighAction_; }

    //@}

    //! editor
    LogWidget& editor( void ) const
    { return *editor_; }

    Q_SIGNALS:

    //! emmitted when hidden
    void dialogHidden( void );

    protected:

    //! hide event
    virtual void closeEvent( QCloseEvent* );

    private Q_SLOTS:

    //! configuration
    void _updateConfiguration( void );

    //! change verbosity
    void _changeVerbosity( QAction* );

    private:

    //! verbosity button id
    QAction* verbosityLowAction_;

    //! verbosity button id
    QAction* verbosityHighAction_;

    //! editor
    LogWidget* editor_;

};

#endif
